%define api_version 2
%define lib_major 2
%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)
%define gtkver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --modversion gtk+-2.0; else echo 0; fi)
%define lib_name %mklibname rsvg %{api_version} %{lib_major}
%define libnamedev %mklibname -d rsvg %{api_version}

# mozilla plugin requires xulruuner 1.8 not 1.9
%define build_mozilla 0

Name:		librsvg
Summary:	Raph's SVG library
Version:	2.26.0
Release: 	%mkrel 2
License: 	LGPLv2+ and GPLv2+
Group:		Graphics
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
URL: 		http://librsvg.sourceforge.net/
Requires:	%{lib_name} >= %{version}
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgsf-devel
BuildRequires:	libcroco0.6-devel
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	glib2-devel >= 2.11
BuildRequires:	libxt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A library that uses libart and pango to render svg files.

#-----------------------------------------------------------

%package -n %{lib_name}
Summary:	Raph's SVG library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts: %name < 2.16.1-2
Requires:		gtk+2.0 >= %gtkver
Requires(post):		gtk+2.0 >= %gtkver
Requires(postun):	gtk+2.0 >= %gtkver

%description -n %{lib_name}
A library that uses libart and pango to render svg files.

%post -n %{lib_name}
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%{_bindir}/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%postun -n %{lib_name}
%if %mdkversion < 200900
/sbin/ldconfig
%endif
#only update on uninstall, upgrade will be done by post of new package
if [ "$1" = "0" -a -x %{_bindir}/gdk-pixbuf-query-loaders ]; then 
  [ -x %{_bindir}/gdk-pixbuf-query-loaders ] && %{_bindir}/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib
fi

#-----------------------------------------------------------

%package -n %{libnamedev}
Summary:	Libraries and include files for developing with librsvg
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d rsvg %{api_version} %{lib_major}

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#-----------------------------------------------------------
%if %build_mozilla
%package mozilla
Summary:        Mozilla plugin for displaying SVG files
Group:          Networking/WWW
BuildRequires:	xulrunner-devel

%description mozilla
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.
%endif

#-----------------------------------------------------------

%prep
%setup -q

%build
export LIBS="-lm"

%configure2_5x --enable-gtk-doc
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/*/*.{la,a} \
%if %build_mozilla
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a} \
%endif
 $RPM_BUILD_ROOT%{_docdir}/librsvg

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


#-----------------------------------------------------------

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/librsvg-%{api_version}.so.%{lib_major}*
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/loaders/*.so

%files -n %{libnamedev}
%defattr(-,root,root)
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/librsvg-%{api_version}
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*

%if %build_mozilla
%files mozilla
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/*.so
%endif


%changelog
* Sun Oct 04 2009 Funda Wang <fundawang@mandriva.org> 2.26.0-2mdv2010.0
+ Revision: 453343
- disable mozilla plugin as it requires xulrunner 1.8

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355970
- update to new version 2.26.0

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 287353
- new version
- build with xulrunner
- fix group
- fix license

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.22.2-3mdv2009.0
+ Revision: 229864
- fix build (-lm)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2008.1
+ Revision: 178712
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2008.1
+ Revision: 174557
- new version

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 173717
- new version

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.1
+ Revision: 155297
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 75142
- new version

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 68239
- new version
- new devel name

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2008.0
+ Revision: 55028
- new version
- fix mozilla plugin build


* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.0
+ Revision: 86442
- add conflict to fix upgrade

* Wed Nov 22 2006 Colin Guthrie <cguthrie@mandriva.org> 2.16.1-2mdv2007.1
+ Revision: 86240
- Libify the engines for the benefit of x86_64 users

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
+ Revision: 76075
- another fix for the gtk macros
- fix macros with pkgconfig calls again
- fix gtkbinaryver macro
- Import librsvg

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- New version 2.16.1

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.90-2
- fix building in autobuilders that install only strictly necessary build deps
- add BuildRequires: libxt-devel

* Fri Jul 28 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdk
- New release 2.14.4

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.7-6mdk
- rebuild for new libgsf

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.7-5mdk
- Fortify package uninstall

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.7-4mdk
- Use mkrel

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12.7-3mdk
- rebuilt against openssl-0.9.8a

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.7-2mdk
- rebuild for new libgsf

* Mon Oct 10 2005 Götz Waschk <waschk@mandriva.org> 2.12.7-1mdk
- New release 2.12.7

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.6-1mdk
- Release 2.12.6

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.4-2mdk
- Enforce post dependency
- don't run gdk-pixbuf-query-loaders in postun when upgrading

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.4-1mdk
- Release 2.14.4
- Remove patch0 (merged upstream)

* Sat Aug 27 2005 Götz Waschk <waschk@mandriva.org> 2.9.5-2mdk
- replace prereq

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.9.5-1mdk 
- Release 2.9.5 (based on Gtz Waschk package)

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Rebuild with firefox

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Abel Cheung <deaddog@mandrake.org> 2.8.1-3mdk
- Remove wrong or outdated requirements

* Fri Nov 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.1-2mdk
- add BuildRequires: mozilla-devel

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.5-2mdk
- biarch support

* Sun May 02 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.5-1mdk
- don't libtoolize
- fix url
- New release 2.6.5

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-4mdk
- Fix again BuildRequires

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-3mdk
- Fix Buildrequires for documentation generation

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk
- Rebuild with latest libcroco

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- Release 2.6.4 (with Götz Waschk help)

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.0-2mdk
- rebuild for gtk+2.4.0 (because of svg pixbuf loader)

